Bug 202864 - Error message for failed vgsplit seems to imply that it actually worked
Error message for failed vgsplit seems to imply that it actually worked
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Wysochanski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 16:34 EDT by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against upstream cvs (820 bytes, patch)
2006-12-06 18:00 EST, Dave Wysochanski
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2006-08-16 16:34:42 EDT
Description of problem:
[root@taft-04 ~]# pvscan
  PV /dev/sdb2   VG linear_4_176   lvm2 [136.23 GB / 0    free]
  PV /dev/sdb1   VG linear_4_176   lvm2 [136.23 GB / 0    free]
  PV /dev/sdc2   VG linear_4_176   lvm2 [136.23 GB / 0    free]
  PV /dev/sdc1   VG linear_4_176   lvm2 [136.23 GB / 84.00 MB free]
  PV /dev/sdd2   VG linear_4_176   lvm2 [930.89 GB / 0    free]
  PV /dev/sdd1   VG linear_4_176   lvm2 [930.89 GB / 0    free]
  Total: 6 [2.35 TB] / in use: 6 [2.35 TB] / in no VG: 0 [0   ]
[root@taft-04 ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "linear_4_176" using metadata type lvm2
[root@taft-04 ~]# vgsplit linear_4_176 split_862 /dev/sdb1
  Logical Volume linear_4_1760 split between Volume Groups

Seems to imply that it did indeed split

[root@taft-04 ~]# echo $?
5
[root@taft-04 ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "linear_4_176" using metadata type lvm2
[root@taft-04 ~]# lvscan
  inactive Original '/dev/linear_4_176/linear_4_1760' [2.35 TB] inherit
  inactive Snapshot '/dev/linear_4_176/snap0' [76.00 MB] inherit
[root@taft-04 ~]# lvs -a -o +devices
  LV            VG           Attr   LSize  Origin        Snap%  Move Log Copy% 
Devices
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdd2(0)
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdd1(0)
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdb2(0)
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdb1(0)
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdc2(0)
  linear_4_1760 linear_4_176 owi---  2.35T                                     
/dev/sdc1(0)
  snap0         linear_4_176 swi--- 76.00M linear_4_1760                       
/dev/sdc1(34835)


The message could be improved to say something like:
"This operation would cause the LV to be split across 2 VGs, can't proceed"

Version-Release number of selected component (if applicable):
[root@taft-04 ~]# rpm -q lvm2
lvm2-2.02.06-6.0.RHEL4
Comment 1 Jay Turner 2006-08-17 00:06:49 EDT
QE ack for 4.5.
Comment 2 RHEL Product and Program Management 2006-08-18 10:37:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Dave Wysochanski 2006-12-06 18:00:01 EST
Created attachment 143002 [details]
patch against upstream cvs

agk - are you ok with this simple change?  I have a patch against upstream I
can post then to rhel4.
Comment 5 Dave Wysochanski 2007-01-08 17:09:45 EST
Posted patch to lvm-devel
Comment 6 Dave Wysochanski 2007-01-17 16:35:03 EST
In Version 2.02.18 - 11th January 2007
Comment 7 Corey Marthaler 2007-01-18 17:40:34 EST
Fix verified in lvm2-2.02.19-1.el4.
Comment 12 Red Hat Bugzilla 2007-05-07 20:05:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.